tigase.xmpp.impl

## Class PresenceCapabilitiesManager

- java.lang.Object
- - tigase.xmpp.impl.PresenceCapabilitiesManager

-     public class PresenceCapabilitiesManager
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `PresenceCapabilitiesManager.PresenceCapabilitiesListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PresenceCapabilitiesManager()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String[]` | `getNodeFeatures(String capsNode)`
    `static Set<String>` | `getNodesWithFeature(String feature)`
    `static void` | `handlePresence(JID owner, JID from, String[] capsNodes, Queue<Packet> results)`
    `static void` | `prepareCapsQueries(JID compJid, JID to, String[] caps_nodes, Queue<Packet> results)`
    `static void` | `prepareCapsQueriesEl(JID compJid, JID to, String[] caps_nodes, Queue<Element> results)`
    `static Packet` | `prepareCapsQuery(JID to, JID from, String node)`
    `static Element` | `prepareCapsQueryEl(JID to, JID from, String node)`
    `static void` | `processCapsQueryResponse(Packet packet)`
    `static String[]` | `processPresence(Element c)`
    `static String[]` | `processPresence(JID compJid, Packet p, Queue<Packet> results)`
    `static void` | `registerPresenceHandler(PresenceCapabilitiesManager.PresenceCapabilitiesListener handler)`
    `static void` | `setNodeFeatures(String capsNode, String[] features)`
    `static void` | `unregisterPresenceHandler(PresenceCapabilitiesManager.PresenceCapabilitiesListener handler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PresenceCapabilitiesManager

          public PresenceCapabilitiesManager()

  - ### Method Detail

    - #### getNodeFeatures

          public static String[] getNodeFeatures(String capsNode)

    - #### getNodesWithFeature

          public static Set<String> getNodesWithFeature(String feature)

    - #### handlePresence

          public static void handlePresence(JID owner,
                                            JID from,
                                            String[] capsNodes,
                                            Queue<Packet> results)

    - #### prepareCapsQueries

          public static void prepareCapsQueries(JID compJid,
                                                JID to,
                                                String[] caps_nodes,
                                                Queue<Packet> results)

    - #### prepareCapsQueriesEl

          public static void prepareCapsQueriesEl(JID compJid,
                                                  JID to,
                                                  String[] caps_nodes,
                                                  Queue<Element> results)

    - #### prepareCapsQuery

          public static Packet prepareCapsQuery(JID to,
                                                JID from,
                                                String node)

    - #### prepareCapsQueryEl

          public static Element prepareCapsQueryEl(JID to,
                                                   JID from,
                                                   String node)

    - #### processCapsQueryResponse

          public static void processCapsQueryResponse(Packet packet)

    - #### processPresence

          public static String[] processPresence(Element c)

    - #### processPresence

          public static String[] processPresence(JID compJid,
                                                 Packet p,
                                                 Queue<Packet> results)

    - #### registerPresenceHandler

          public static void registerPresenceHandler(PresenceCapabilitiesManager.PresenceCapabilitiesListener handler)

    - #### setNodeFeatures

          public static void setNodeFeatures(String capsNode,
                                             String[] features)

    - #### unregisterPresenceHandler

          public static void unregisterPresenceHandler(PresenceCapabilitiesManager.PresenceCapabilitiesListener handler)

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.